Subject: Re: bug#55079: 28.1; kp-decimal not working in vhdl-stutter-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Apr 2022 08:18:28 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Reto Zimmermann <[email-masked]>, Cyril Arnould
>  <[email-masked]>,  [email-masked]
> Date: Sat, 23 Apr 2022 16:21:42 -0400
> 
> [ Adding Reto to the Cc:  ]
> 
> > -      (cond ((= (preceding-char) vhdl-last-input-event)
> > +      (cond ((or (and (integerp vhdl-last-input-event)
> > +                      (= (preceding-char) vhdl-last-input-event))
> > +                 (and (eq vhdl-last-input-event 'kp-decimal)
> > +                      (equal (lookup-key local-function-key-map
> > +                                         (vector vhdl-last-input-event))
> > +                             [?.])
> > +                      (= (preceding-char) ?.)))
> 
> It does sound pretty kludgey.
> How 'bout just replacing `vhdl-last-input-event` with `?\.`, since the
> function's name says that this is for period anyway (and the subsequent
> `insert-char` inserts a `?\.` regardless of `vhdl-last-input-event`)?

Replacing with '?.' where? everywhere?  IOW, making the code assume
that this command can only be bound to '.'?  Or did you mean something
else?

My feeling of a kludge was not about that, it was about the way I make
sure that kp-decimal is remapped to '.'.  Do we have some nicer, more
general facilities for that?